Package picard.analysis.directed

## Class RnaSeqMetricsCollector

- java.lang.Object
- - picard.metrics.MultiLevelCollector<BEAN,​HKEY,​htsjdk.samtools.SAMRecord>
  - - picard.metrics.SAMRecordMultiLevelCollector<RnaSeqMetrics,​Integer>
    - - picard.analysis.directed.RnaSeqMetricsCollector

-     public class RnaSeqMetricsCollector
      extends SAMRecordMultiLevelCollector<RnaSeqMetrics,​Integer>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `RnaSeqMetricsCollector.PerUnitRnaSeqMetricsCollector` |
    `static class` | `RnaSeqMetricsCollector.StrandSpecificity` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Long` | `ribosomalInitialValue` |

    - ### Fields inherited from class picard.metrics.MultiLevelCollector

      `UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---

    `RnaSeqMetricsCollector​(Set<MetricAccumulationLevel> accumulationLevels, List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords, Long ribosomalBasesInitialValue, htsjdk.samtools.util.OverlapDetector<Gene> geneOverlapDetector, htsjdk.samtools.util.OverlapDetector<htsjdk.samtools.util.Interval> ribosomalSequenceOverlapDetector, HashSet<Integer> ignoredSequenceIndices, int minimumLength, RnaSeqMetricsCollector.StrandSpecificity strandSpecificity, double rrnaFragmentPercentage, boolean collectCoverageStatistics)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected PerUnitMetricCollector<RnaSeqMetrics,​Integer,​htsjdk.samtools.SAMRecord>` | `makeChildCollector​(String sample, String library, String readGroup)` | Construct a PerUnitMetricCollector with the given arguments.
    `static HashSet<Integer>` | `makeIgnoredSequenceIndicesSet​(htsjdk.samtools.SAMFileHeader header, Set<String> ignoredSequence)` |
    `static htsjdk.samtools.util.OverlapDetector<htsjdk.samtools.util.Interval>` | `makeOverlapDetector​(File samFile, htsjdk.samtools.SAMFileHeader header, File ribosomalIntervalsFile, htsjdk.samtools.util.Log log)` |

    - ### Methods inherited from class picard.metrics.SAMRecordMultiLevelCollector

      `makeArg`

    - ### Methods inherited from class picard.metrics.MultiLevelCollector

      `acceptRecord, addAllLevelsToFile, finish, getAllReadsCollector, makeAllReadCollector, makeLibraryCollector, makeReadGroupCollector, makeSampleCollector, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ribosomalInitialValue

          protected final Long ribosomalInitialValue

  - ### Constructor Detail

    - #### RnaSeqMetricsCollector

          public RnaSeqMetricsCollector​(Set<MetricAccumulationLevel> accumulationLevels,
                                        List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords,
                                        Long ribosomalBasesInitialValue,
                                        htsjdk.samtools.util.OverlapDetector<Gene> geneOverlapDetector,
                                        htsjdk.samtools.util.OverlapDetector<htsjdk.samtools.util.Interval> ribosomalSequenceOverlapDetector,
                                        HashSet<Integer> ignoredSequenceIndices,
                                        int minimumLength,
                                        RnaSeqMetricsCollector.StrandSpecificity strandSpecificity,
                                        double rrnaFragmentPercentage,
                                        boolean collectCoverageStatistics)

  - ### Method Detail

    - #### makeChildCollector

          protected PerUnitMetricCollector<RnaSeqMetrics,​Integer,​htsjdk.samtools.SAMRecord> makeChildCollector​(String sample,
                                                                                                                           String library,
                                                                                                                           String readGroup)

      Description copied from class: `MultiLevelCollector`
      Construct a PerUnitMetricCollector with the given arguments.
      Specified by:
        `makeChildCollector` in class `MultiLevelCollector<RnaSeqMetrics,​Integer,​htsjdk.samtools.SAMRecord>`
      Parameters:
        `sample` - If aggregating by ALL_READS this will be null, otherwise the sample that will be used to identify this collector
        `library` - If aggregating by SAMPLE this will be null, otherwise the library that will be used to identify this collector
        `readGroup` - If aggregating by LIBRARY this will be null, otherwise the readGroup that will be used to identify this collector
      Returns:
        A PerUnitMetricCollector parameterized by the given arguments

    - #### makeOverlapDetector

          public static htsjdk.samtools.util.OverlapDetector<htsjdk.samtools.util.Interval> makeOverlapDetector​(File samFile,
                                                                                                                htsjdk.samtools.SAMFileHeader header,
                                                                                                                File ribosomalIntervalsFile,
                                                                                                                htsjdk.samtools.util.Log log)

    - #### makeIgnoredSequenceIndicesSet

          public static HashSet<Integer> makeIgnoredSequenceIndicesSet​(htsjdk.samtools.SAMFileHeader header,
                                                                       Set<String> ignoredSequence)